Overview

Run MPL query to edge deployment

Run MPL query to edge deployment.

Support for MPL queries is currently in public preview. For more information, see Feature states.

Use this endpoint to query data from a specific edge deployment. The data you query must be stored in the edge deployment where you query it. For more information, see Query data and Edge deployments.

The base domain for this endpoint is the base domain of the edge deployment where you want to query data.

Edge deployment Base domain for ingest and query
US East 1 (AWS) us-east-1.aws.edge.axiom.co
EU Central 1 (AWS) eu-central-1.aws.edge.axiom.co

This endpoint only supports API tokens. Personal access tokens (PATs) aren't supported. For more information, see Tokens.

POST/v1/query/_mpl
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input4
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
formatstring · body
(query) Response format. If omitted, the Accept header is used for content negotiation. Defaults to metrics-v2 when neither is specified.
endTimestring · bodyrequired
End time for the query range
mplstring · body
The MPL query.
startTimestring · bodyrequired
start and end time for the query, these must be specified as RFC3339 strings or using relative time expressions (e.g. now-1h, now-1d, now-1w, etc)
Responses
200MetricsResult
defaultUser or system error
Example input
curl -X POST 'https://AXIOM_DOMAIN/v1/query/_mpl' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"endTime":"string","startTime":"string"}'
Example output
{}

Updated

Was this page helpful?